import 'package:flutter/material.dart';
import 'package:flutterptzscontrol/flutterptzscontrol.dart';

void main() => runApp(MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  final double r0 = 50;
  final double r = 150;

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: Text('云台方向按钮widget'),
        ),
        body: Center(
          child: SizedBox(
            width: 2 * r,
            height: 2 * r,
            child: PtzsControlWidget(r0, r, (status) {
              print('status = $status');
            }),
          ),
        ),
      ),
    );
  }
}
